curl -X GET "https://api.rxradar.xyz/v1/products/29" \
-H "Authorization: Bearer rx_YOUR_API_KEY"
{
"id": 29,
"gtin": "3401351277399",
"code_alt": null,
"brand": {
"name": "BrandX",
"url": "https://www.example.com/brands/brandx",
"canonical": { "name": "BrandX", "slug": "brandx" }
},
"line": null,
"name": "Cooling Leg Circulation Gel with 17 Essential Oils 125 ml",
"description": "Ultra-cooling gel with 17 essential oils to relieve heavy, tired legs...",
"url": "https://www.example.com/brandx-circulation-gel-125-ml",
"currency": "USD",
"size": {
"value": "125",
"unit": "ml"
},
"packaging": "Tube of 125 ml",
"images": {
"main": "https://cdn.example.com/brandx-circulation-gel.jpg",
"gallery": [
"https://cdn.example.com/brandx-circulation-gel-2.jpg"
]
},
"has_gtin": true,
"has_variants": false,
"has_reviews": true,
"indexed_at": "2026-04-28T19:43:04",
"last_collected_at": "2026-04-29T17:34:54",
"network": "example-network",
"store": "example.com",
"latest": {
"price": 12.95,
"in_stock": true,
"rating": 4.6
}
}
Products
Get Product
Product details with current price and availability
GET
/
v1
/
products
/
{product_id}
curl -X GET "https://api.rxradar.xyz/v1/products/29" \
-H "Authorization: Bearer rx_YOUR_API_KEY"
{
"id": 29,
"gtin": "3401351277399",
"code_alt": null,
"brand": {
"name": "BrandX",
"url": "https://www.example.com/brands/brandx",
"canonical": { "name": "BrandX", "slug": "brandx" }
},
"line": null,
"name": "Cooling Leg Circulation Gel with 17 Essential Oils 125 ml",
"description": "Ultra-cooling gel with 17 essential oils to relieve heavy, tired legs...",
"url": "https://www.example.com/brandx-circulation-gel-125-ml",
"currency": "USD",
"size": {
"value": "125",
"unit": "ml"
},
"packaging": "Tube of 125 ml",
"images": {
"main": "https://cdn.example.com/brandx-circulation-gel.jpg",
"gallery": [
"https://cdn.example.com/brandx-circulation-gel-2.jpg"
]
},
"has_gtin": true,
"has_variants": false,
"has_reviews": true,
"indexed_at": "2026-04-28T19:43:04",
"last_collected_at": "2026-04-29T17:34:54",
"network": "example-network",
"store": "example.com",
"latest": {
"price": 12.95,
"in_stock": true,
"rating": 4.6
}
}
integer
required
Product ID
curl -X GET "https://api.rxradar.xyz/v1/products/29" \
-H "Authorization: Bearer rx_YOUR_API_KEY"
{
"id": 29,
"gtin": "3401351277399",
"code_alt": null,
"brand": {
"name": "BrandX",
"url": "https://www.example.com/brands/brandx",
"canonical": { "name": "BrandX", "slug": "brandx" }
},
"line": null,
"name": "Cooling Leg Circulation Gel with 17 Essential Oils 125 ml",
"description": "Ultra-cooling gel with 17 essential oils to relieve heavy, tired legs...",
"url": "https://www.example.com/brandx-circulation-gel-125-ml",
"currency": "USD",
"size": {
"value": "125",
"unit": "ml"
},
"packaging": "Tube of 125 ml",
"images": {
"main": "https://cdn.example.com/brandx-circulation-gel.jpg",
"gallery": [
"https://cdn.example.com/brandx-circulation-gel-2.jpg"
]
},
"has_gtin": true,
"has_variants": false,
"has_reviews": true,
"indexed_at": "2026-04-28T19:43:04",
"last_collected_at": "2026-04-29T17:34:54",
"network": "example-network",
"store": "example.com",
"latest": {
"price": 12.95,
"in_stock": true,
"rating": 4.6
}
}
⌘I